/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_GAME_RULES

#include "kill_target.h"

using namespace std;


/**
 * standard constructor
 * @todo this constructor is not jet implemented - do it
*/
KillTarget::KillTarget (const TiXmlElement* root)
  : MissionGoal(root)
{
  this->setClassID(CL_KILL_TARGET, "KillTarget");

  PRINTF(0)("Created a KillTarget Mission Goal <==================================\n");

  if( root != NULL)
    this->loadParams(root);
}


/**
 * standard deconstructor
*/
KillTarget::~KillTarget ()
{

}


void KillTarget::loadParams(const TiXmlElement* root)
{
  MissionGoal::loadParams(root);
}


MissionState KillTarget::checkMissionGoal()
{}