/*!
 * @file mission_goal.h
 * @brief Definition of a killtarget mission goal
*/

#ifndef _KILL_TARGET_H
#define _KILL_TARGET_H

#include "mission_goal.h"


class TiXmlElement;



//! A class representing a mission goal to kill a specific amount of a specific object type
class KillTarget : public MissionGoal {

 public:
  KillTarget(const TiXmlElement* root);
  virtual ~KillTarget();

  virtual void loadParams(const TiXmlElement* root);

  virtual MissionState checkMissionGoal();


 protected:

};

#endif /* _KILL_TARGET_H */
